Subject: Re: bug#33137: [Wishlist] recursive guix lint

From: [email-masked] (Ludovic Courtès)
Date: Tue, 30 Oct 2018 19:13:48 +0100

Hello,

Efraim Flashner <[email-masked]> skribis:

> I meant more like "hey, khard can be upgraded to 0.12.2, after I've
> checked the upgrade with 'guix lint khard', now I'd like to check the rest
> of the dependency tree with 'guix lint --recursive khard' to see if
> anything else can be upgraded or has any linter errors."

Oh I see.  So to me this would be a ‘guix refresh’ feature rather than
‘guix lint’, but I agree it would be nice (and not too hard to
implement.)

Thanks,
Ludo.’